Webhook - Update
Update the webhook identified by webhook name.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Automation/automationAccounts/{automationAccountName}/webhooks/{webhookName}?api-version=2024-10-23
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
automation
|
path | True |
string |
The name of the automation account. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
webhook
|
path | True |
string |
The webhook name. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| name |
string |
Gets or sets the name of the webhook. |
| properties.description |
string |
Gets or sets the description of the webhook. |
| properties.isEnabled |
boolean |
Gets or sets the value of the enabled flag of webhook. |
| properties.parameters |
object |
Gets or sets the parameters of the job. |
| properties.runOn |
string |
Gets or sets the name of the hybrid worker group the webhook job will run on. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Update webhook
Sample request
PATCH https://management.azure.com/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/rg/providers/Microsoft.Automation/automationAccounts/myAutomationAccount33/webhooks/TestWebhook?api-version=2024-10-23
{
"name": "TestWebhook",
"properties": {
"description": "updated webhook",
"isEnabled": false
}
}
Sample response
{
"name": "TestWebhook",
"id": "/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/rg/providers/Microsoft.Automation/automationAccounts/myAutomationAccount33/webhooks/TestWebhook",
"properties": {
"creationTime": "2017-03-30T21:52:01.272378+00:00",
"expiryTime": "2018-03-30T23:03:14.5752078+00:00",
"isEnabled": false,
"lastInvokedTime": null,
"lastModifiedBy": "",
"lastModifiedTime": "2017-03-30T23:03:14.9069441+00:00",
"parameters": null,
"runOn": null,
"runbook": {
"name": "TestRunbook"
},
"uri": ""
}
}
Definitions
| Name | Description |
|---|---|
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Runbook |
The runbook property associated with the entity. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
| Webhook |
Definition of the webhook type. |
|
Webhook |
The parameters supplied to the update webhook operation. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
RunbookAssociationProperty
The runbook property associated with the entity.
| Name | Type | Description |
|---|---|---|
| name |
string |
Gets or sets the name of the runbook. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
Webhook
Definition of the webhook type.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.creationTime |
string (date-time) |
Gets or sets the creation time. |
| properties.description |
string |
Gets or sets the description. |
| properties.expiryTime |
string (date-time) |
Gets or sets the expiry time. |
| properties.isEnabled |
boolean |
Gets or sets the value of the enabled flag of the webhook. |
| properties.lastInvokedTime |
string (date-time) |
Gets or sets the last invoked time. |
| properties.lastModifiedBy |
string |
Details of the user who last modified the Webhook |
| properties.lastModifiedTime |
string (date-time) |
Gets or sets the last modified time. |
| properties.parameters |
object |
Gets or sets the parameters of the job that is created when the webhook calls the runbook it is associated with. |
| properties.runOn |
string |
Gets or sets the name of the hybrid worker group the webhook job will run on. |
| properties.runbook |
Gets or sets the runbook the webhook is associated with. |
|
| properties.uri |
string |
Gets or sets the webhook uri. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
WebhookUpdateParameters
The parameters supplied to the update webhook operation.
| Name | Type | Description |
|---|---|---|
| name |
string |
Gets or sets the name of the webhook. |
| properties.description |
string |
Gets or sets the description of the webhook. |
| properties.isEnabled |
boolean |
Gets or sets the value of the enabled flag of webhook. |
| properties.parameters |
object |
Gets or sets the parameters of the job. |
| properties.runOn |
string |
Gets or sets the name of the hybrid worker group the webhook job will run on. |